abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 15:33 | Nová verze

Byla vydána verze 17.08.0 KDE Aplikací (KDE Applications). Přehled novinek v kompletním seznamu změn a na stránce s dalšími informacemi. Aplikace kmag, kmousetool, kgoldrunner, kigo, konquest, kreversi, ksnakeduel, kspaceduel, ksudoku, kubrick, lskat a umbrello byly portovány na KDE Frameworks 5.

Ladislav Hagara | Komentářů: 0
dnes 15:11 | Nová verze

Simon Long představil na blogu Raspberry Pi novou verzi 2017-08-16 linuxové distribuce Raspbian určené především pro jednodeskové miniaturní počítače Raspberry Pi. Společně s Raspbianem byl aktualizován také instalační nástroj NOOBS (New Out Of the Box Software). Nejnovější Raspbian je založen na Debianu 9 Stretch. Přehled novinek v poznámkách k vydání. Řešena je také bezpečnostní chyba Broadpwn (CVE-2017-9417).

Ladislav Hagara | Komentářů: 0
dnes 12:33 | Nová verze

Byla vydána verze 3.2.0 programu pro skicování, malování a úpravu obrázků Krita. Přehled novinek v poznámkách k vydání a na YouTube.

Ladislav Hagara | Komentářů: 0
dnes 11:44 | IT novinky

Minulý týden na šampionátu The International 2017 byl představen bot, který poráží profesionální hráče počítačové hry Dota 2. V nejnovějším příspěvku na blogu se organizace OpenAI o projektu více rozepsala a zveřejnila videozáznamy několika soubojů.

Ladislav Hagara | Komentářů: 4
včera 17:11 | Komunita

Byly zveřejněny videozáznamy přednášek z Fedora 26 Release Party konané 10. srpna v Praze.

Ladislav Hagara | Komentářů: 0
včera 15:33 | Komunita

Přesně před čtyřiadvaceti lety, 16. srpna 1993, oznámil Ian Murdock vydání "Debian Linux Release".

Ladislav Hagara | Komentářů: 5
včera 06:00 | Bezpečnostní upozornění

Ve virtualizačním softwaru Xen bylo nalezeno a opraveno 5 bezpečnostních chyb XSA-226 až XSA-230. Nejzávažnější z nich XSA-227 (CVE-2017-12137) umožňuje eskalaci privilegií a ovládnutí celého systému, tj. správce hostovaného systému se může stát správcem hostitelského systému.

Ladislav Hagara | Komentářů: 1
15.8. 22:00 | Zajímavý projekt

V roce 2013 proběhla na Kickstarteru úspěšná kampaň na podporu otevřeného Dobře temperovaného klavíru (Well-Tempered Clavier). Stejný tým s Kimiko Išizaka spustil před týdnem na Kickstarteru kampaň Libre Art of the Fugue na podporu svobodného Umění fugy.

Ladislav Hagara | Komentářů: 2
15.8. 13:55 | Pozvánky

Spolek OpenAlt zve příznivce otevřených technologií a otevřeného přístupu na 143. brněnský sraz, který proběhne v pátek 18. srpna od 18:00 hodin ve sportovním areálu a restauraci BeachPub Sokolák u Brněnské přehrady aneb v hantecu u Prýglu.

Ladislav Hagara | Komentářů: 0
15.8. 10:55 | Nová verze

Byla vydána (pdf) verze 3 průběžně aktualizované (rolling release) linuxové distribuce Solus (Wikipedie). Ke stažení je v edicích Budgie, GNOME a MATE. Z novinek lze zmínit například podporu snapů. Solus 3 obsahuje Firefox 55.0.1, LibreOffice 5.4.0.3, Rhythmbox 3.4.1 nebo Thunderbird 52.2.1. Edice Budgie a GNOME přichází s GNOME MPV 0.12. Edice MATE s VLC 2.2.6.

Ladislav Hagara | Komentářů: 5
Těžíte nějakou kryptoměnu?
 (4%)
 (2%)
 (17%)
 (77%)
Celkem 346 hlasů
 Komentářů: 21, poslední 13.8. 09:57
    Rozcestník

    Dotaz: ipw3945 a FC6

    7.1.2007 00:53 makaveli | Martin, Brno
    ipw3945 a FC6
    Přečteno: 608×
    nedari sa mi v FC6 nainstalovat ovladac na intel wifinu 3945ABG... robim to cez ipw3945... fakt neviem co mam robit, uz som si nainstaloval od sietovky, cez webkameru, citacku kariet, bluetooth atd vsetko okrem wifiny, ale s nou sa uz babrem pekne dlho ale bez vysledky, poradi mi niekto pls??? siel som podla navodu: 1. stiahol som si ieee80211 z http://ieee80211.sf.net a dal som make a make install, prebehlo v poriadku 2. v adresari ovladaca ipw3945-1.1.0 som dal make a vypisalo error:
    [root@michal-a8jc ipw3945-1.1.0]# make
    
     WARNING: Your kernel contains ieee80211 symbol definitions and you
    are not using the kernel's default ieee80211 subsystem.  (Perhaps you
    used the out-of-tree ieee80211 subsystem's 'make install' or have
    provided a path to the ieee80211 subsystem via IEEE80211_INC.)
    
    If you wish to use the out-of-tree ieee80211 subsystem then it is
    recommended to use that projects' "make patch_kernel" facility
    and rebuild your kernel to update the Module symbol version information.
    
    Failure to do this may result in build warnings and unexpected
    behavior when running modules which rely on the ieee80211 subsystem.
    
    
     Aborting the build.  You can force the build to continue by adding:
    
            IEEE80211_IGNORE_DUPLICATE=y
    
    to your make command line.
    
    
    make: *** [check_inc] Error 1
    tak som dal prikaz make IEEE80211_IGNORE_DUPLICATE=y (to uz podla navodu malo prebehnut v poriadku) ale znova vypisalo chybu:
    [root@michal-a8jc ipw3945-1.1.0]# make IEEE80211_IGNORE_DUPLICATE=y
    
     WARNING: Your kernel contains ieee80211 symbol definitions and you
    are not using the kernel's default ieee80211 subsystem.  (Perhaps you
    used the out-of-tree ieee80211 subsystem's 'make install' or have
    provided a path to the ieee80211 subsystem via IEEE80211_INC.)
    
    If you wish to use the out-of-tree ieee80211 subsystem then it is
    recommended to use that projects' "make patch_kernel" facility
    and rebuild your kernel to update the Module symbol version information.
    
    Failure to do this may result in build warnings and unexpected
    behavior when running modules which rely on the ieee80211 subsystem.
    
    
     Using ieee80211 subsystem version '1.2.16' (API v2) from:
    
            Base: /lib/modules/2.6.18-1.2798.fc6/
            Path: /lib/modules/2.6.18-1.2798.fc6/include/
    
     EXTRA_CFLAGS = -I/lib/modules/2.6.18-1.2798.fc6/include/ -DIEEE80211_API_VERSION=2 -g -Wa,-adhlms=check_inc.lst
    
    make -C /lib/modules/2.6.18-1.2798.fc6/build M=/home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0  modules
    make[1]: Entering directory `/usr/src/kernels/2.6.18-1.2798.fc6-i686'
      CC [M]  /home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.o
    In file included from /home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.c:68:
    /home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.h:32:26: error: linux/config.h: No such file or directory
    make[2]: *** [/home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.o] Error 1
    make[1]: *** [_module_/home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0] Error 2
    make[1]: Leaving directory `/usr/src/kernels/2.6.18-1.2798.fc6-i686'
    make: *** [modules] Error 2
    3. na zaklade tej chyby som nainstaloval vsetky zavislosti pre make menuconfig a pustil make menuconfig v /usr/src/2.6.18-1.2798.fc6-i686 a myslel som si ze potom to uz prebehne ok 4. znova v adresari s ovladacom som pustil prikaz make IEEE80211_IGNORE_DUPLICATE=y ale znovu ta ista chyba: [root@michal-a8jc ipw3945-1.1.0]# make IEEE80211_IGNORE_DUPLICATE=y
     WARNING: Your kernel contains ieee80211 symbol definitions and you
    are not using the kernel's default ieee80211 subsystem.  (Perhaps you
    used the out-of-tree ieee80211 subsystem's 'make install' or have
    provided a path to the ieee80211 subsystem via IEEE80211_INC.)
    
    If you wish to use the out-of-tree ieee80211 subsystem then it is
    recommended to use that projects' "make patch_kernel" facility
    and rebuild your kernel to update the Module symbol version information.
    
    Failure to do this may result in build warnings and unexpected
    behavior when running modules which rely on the ieee80211 subsystem.
    
    
     Using ieee80211 subsystem version '1.2.16' (API v2) from:
    
            Base: /lib/modules/2.6.18-1.2798.fc6/
            Path: /lib/modules/2.6.18-1.2798.fc6/include/
    
     EXTRA_CFLAGS = -I/lib/modules/2.6.18-1.2798.fc6/include/ -DIEEE80211_API_VERSION=2 -g -Wa,-adhlms=check_inc.lst
    
    make -C /lib/modules/2.6.18-1.2798.fc6/build M=/home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0  modules
    make[1]: Entering directory `/usr/src/kernels/2.6.18-1.2798.fc6-i686'
      CC [M]  /home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.o
    In file included from /home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.c:68:
    /home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.h:32:26: error: linux/config.h: No such file or directory
    make[2]: *** [/home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0/ipw3945.o] Error 1
    make[1]: *** [_module_/home/makaveli/ipw3945-linux-1.1.0/ipw3945-1.1.0] Error 2
    make[1]: Leaving directory `/usr/src/kernels/2.6.18-1.2798.fc6-i686'
    make: *** [modules] Error 2
    fakt neviem co mam robit, uz som si nainstaloval od sietovky, cez webkameru, citacku kariet, bluetooth atd vsetko okrem wifiny, ale s nou sa uz babrem pekne dlho ale bez vysledky, poradi mi niekto pls???

    Odpovědi

    7.1.2007 09:53 botos | skóre: 8 | blog: bacza | Chrudim
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Musite v kernelu uplne vypnout podporu ieee80211, pak zkompilujete ty moduly ieee80211 co jste stahl netu a nakonec zkompilujete ipw3945 driver. Snad to pujde, aspon takhle to bylo u me.
    7.1.2007 10:17 makaveli | Martin, Brno
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    ok, a ako vypnem v kerneli tu podporu ieee80211..?? som rookie...
    7.1.2007 10:26 alanos | skóre: 24 | blog: spuctum
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Nevím jakou máš distribuci, ale obecně , stáhni si jádro /kernel/ , v debianu /apt-get install kernel-package kernel-source-2.6.8(třeba)/ pokud budeš v debianu tak do /usr/src/ se ti stahnul balik ten pomoci tar /tar xzvf kernel****/ rozbal , udělej si link /ln -s kernel*** linux/ vejdi do linux , dej příkaz make menuconfig a najdi tu podporu iee80211 a vypni ji. Pak jadro zkompiluj. Ale jak pišu nevím co máš za distro.
    7.1.2007 11:11 makaveli | Martin, Brno
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    mam Fedora Core 6
    7.1.2007 12:00 botos | skóre: 8 | blog: bacza | Chrudim
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Nevím jakou máš distribuci, ale obecně , stáhni si jádro /kernel/ , v debianu /apt-get install kernel-package kernel-source-2.6.8(třeba)/ pokud budeš v debianu tak do /usr/src/ se ti stahnul balik ten pomoci tar /tar xzvf kernel****/ rozbal , udělej si link /ln -s kernel*** linux/ vejdi do linux , dej příkaz make menuconfig a najdi tu podporu iee80211 a vypni ji. Pak jadro zkompiluj. Ale jak pišu nevím co máš za distro.
    Zbytecny aby si shanel novy jadro kdyz uz mu to funguje... to je teda taky rada pro zacatecnika aby si ho neumel nastavit a nechodilo mu to uplne...

    v konzoli pod rootem:
    cd /usr/src/linux
    make menuconfig
    
    v jadre mit cca tydle volby
    Networking --->
       [ ] Generic IEEE 802.11 Networking Stack
    
    Device Drivers --->
       Network Device support --->
          Wireless LAN (non-hamradio) --->
            [*] Wireless LAN drivers (non-hamradio) & Wireless Extensions
    
    Cryptographic options --->
       [*] Cryptographic API
         <*> AES cipher algorithms
         <*> ARC4 cipher algorithm
         <*> Michael MIC keyed digest algorithm
    
    pak
    mount /boot #Pokud nemate pripojenou bootovaci partisnu
    make; make install; make modules_install
    
    a reboot
    9.1.2007 19:52 makaveli | Martin, Brno
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    NIKTO NEPORADITE...? PLS
    7.1.2007 12:10 mikky | skóre: 25 | blog: Ghlog | M. L. - Praha
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    If you wish to use the out-of-tree ieee80211 subsystem then it is recommended to use that projects' "make patch_kernel" facility and rebuild your kernel to update the Module symbol version information.
    Takhle hláška si o to přímo řiká. Tedy při instalaci ieee80211 spustit nejdřív make patch_kernel

    -miky
    Je vám méně než 30 ? (jsme vrstevnící => budeme si tykat) : (jsem pro vás bažant => můžete mi tykat);
    7.1.2007 12:24 makaveli | Martin, Brno
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    tak som pustil v adresari s ieee80211 make patch_kernel, make, make install --> vsetko prebehlo ok, potom som o5 pustil v adresari s ovladacom ipw3945 make a vypisalo zas a znova tu istu chybu, co som tu postol... uz neviem co s tym sakra moze byt a co mam robit... ale dik ;-)
    9.1.2007 21:24 Dan Horák | skóre: 20
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Co takhle pouzit pripravene baliky z http://atrpms.net?
    9.1.2007 21:39 Bubli | skóre: 10 | Praha
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Jezkovy voci, neradte prosim naprostemu zacatecnikovi kompilovat nebo patchovat kernel, grr :-( Na to si netroufnu ani ja, a to se programovanim pro Linux zivim.

    Stacilo by trochu guglit a hnedka prvni odkaz vede na stranku, kde by tazatel nalezl hotove RPM balicky primo pro Fedora Core 6. Staci si jen vybrat prislusnou architekturu (i386 nebo x86_64) a nainstalovat.

    Nicmene balicky nejsou oficialne od RedHatu, takze ... :-) A jeste poznamka: temer vsechny wi-fi karty od Intelu potrebuji krome kerneloveho modulu take firmware. Nevim, zda je pribalen ve vyse zminenem baliku, nebo jej budete muset nainstalovat extra. Podivejte se tedy take po baliku s firmwarem (ipw-firmware, nebo tak nejak se bude jmenovat). Guglit to za Vas ale uz nebudu :-)
    9.1.2007 23:51 makaveli | Martin, Brno
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Dakujem, idem uz spat, ale zajtra to vyskusam a ozvem sa ako to (uspesne) dopadlo...
    7.3.2007 12:12 makaveli | Martin, Brno
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Trochu neskoro, ale predsa som to dnes rozbehal... Davam navod step by step ako som to spravil pre zaciatocnikov ako som ja:
    1. Updatol som kernel prikazom: "yum update kernel"
    2. Stiahol som baliky: ipw3945, ipw3945-kmdl, ipw3945d, ipw3945-firmware, ipw3945-ucode, iee80211-kmdl
    3. Nainstalovat postupne balikyL ipw3945d, iee80211-kmdl, ipw3945-ucode, ipw394-kmdl, ipw3945, ip23945-firmware
    4. Malo by to vsetko prebehnut bez problemov, potom pustit prikaz: moprobe ipw3945 a prikaz ipw3945d
    5. Prikazom iwconfig by ste uz mali uspesne vidiet vasu wifi
    25.3.2007 00:31 def:tera
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    V Ubuntu a Backtrack to ipw3945 mas bez komplikaci.. :-)
    10.4.2007 01:09 ady | skóre: 5
    Rozbalit Rozbalit vše Re: ipw3945 a FC6
    Postupoval jsem podle vaseho navodu a instalace probehla bez problemu. Jen kdyz jsem dal aktivovat sitovku v menu System -> Nastaveni -> Sit, neslo to a system vypsal nasledujici:

    Error for wireless request "Set Bit Rate" (8B20) : SET failed on device eth1 ; Invalid argument.

    Zjišťuji IP informace pro eth1... selhalo; chybí spojení. Je kabel v pořádku?

    Kdyz spustim iwconfig, vypise:

    eth1 unassociated ESSID:"DomaNet" Nickname:"localhost.localdomain" Mode:Managed Frequency=nan kHz Access Point: Not-Associated Bit Rate:0 kb/s Tx-Power:16 dBm Retry limit:15 RTS thr:off Fragment thr:off Encryption key:3645-3043-3931-3537-4233-0000-00 Security mode:open Power Management:off Link Quality:0 Signal level:0 Noise level:0 Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0 Tx excessive retries:0 Invalid misc:249 Missed beacon:0

    Nevite, v cem muze byt problem?

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.